summaryrefslogtreecommitdiffstats
path: root/desktop/thunar-shares
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 22:53:24 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:24 +0200
commitd7ce288a7c899117d0ea13b611716c44b6ce1af7 (patch)
tree15f977b6e734fc4155f480c11ec77640b3872606 /desktop/thunar-shares
parentf6cd919609f18b0588bb728a4ad5c2f30c03cfe5 (diff)
downloadslackbuilds-d7ce288a7c899117d0ea13b611716c44b6ce1af7.tar.gz
slackbuilds-d7ce288a7c899117d0ea13b611716c44b6ce1af7.tar.xz
desktop/thunar-shares: Added to 12.1 repository
Diffstat (limited to 'desktop/thunar-shares')
-rw-r--r--desktop/thunar-shares/README3
-rw-r--r--desktop/thunar-shares/slack-desc19
-rw-r--r--desktop/thunar-shares/thunar-shares.SlackBuild82
-rw-r--r--desktop/thunar-shares/thunar-shares.info8
4 files changed, 112 insertions, 0 deletions
diff --git a/desktop/thunar-shares/README b/desktop/thunar-shares/README
new file mode 100644
index 0000000000..179617924e
--- /dev/null
+++ b/desktop/thunar-shares/README
@@ -0,0 +1,3 @@
+thunar-shares is a Thunar file manager extension to share files using Samba.
+
+See http://code.google.com/p/thunar-shares/wiki/Setup for setup instructions.
diff --git a/desktop/thunar-shares/slack-desc b/desktop/thunar-shares/slack-desc
new file mode 100644
index 0000000000..ff59375d6f
--- /dev/null
+++ b/desktop/thunar-shares/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------|
+thunar-shares: Thunar-shares (Thunar plugin for Samba share setup)
+thunar-shares:
+thunar-shares: A Thunar file manager extension to share files using Samba.
+thunar-shares:
+thunar-shares: Homepage: http://code.google.com/p/thunar-shares/
+thunar-shares:
+thunar-shares:
+thunar-shares:
+thunar-shares:
+thunar-shares:
+thunar-shares:
diff --git a/desktop/thunar-shares/thunar-shares.SlackBuild b/desktop/thunar-shares/thunar-shares.SlackBuild
new file mode 100644
index 0000000000..c61e431c5f
--- /dev/null
+++ b/desktop/thunar-shares/thunar-shares.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for thunar-shares
+
+# Copyright 2008 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=thunar-shares
+VERSION=0.16
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/thunar-shares/thunar-shares.info b/desktop/thunar-shares/thunar-shares.info
new file mode 100644
index 0000000000..aa099f5c3e
--- /dev/null
+++ b/desktop/thunar-shares/thunar-shares.info
@@ -0,0 +1,8 @@
+PRGNAM="thunar-shares"
+VERSION="0.16"
+HOMEPAGE="http://code.google.com/p/thunar-shares/"
+DOWNLOAD="http://thunar-shares.googlecode.com/files/thunar-shares-0.16.tar.gz"
+MD5SUM="2b47c30df2de21b94efa22310a3f2cd4"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="David Somero,Erik Hanson" \ No newline at end of file